Table of Contents

Module: __init__ | eric3/Utilities/__init__.py
--- | ---

Package implementing various functions/classes needed everywhere within eric3.

Imported modules |
--- | ---
import fnmatch import os from qt import QRegExp, QString import re import string import sys
Functions |

decode direntries encode getPythonLibPath getPythonVersion get_coding isinpath | normabsjoinpath normabspath normcasepath normjoinpath parseOptionString samepath win32_Kill

| decode

    decode ( text )

### Function to decode a text.

#### Arguments

text
  text to decode (string)

#### Returns

decoded text

| direntries

    direntries (
            path,
            filesonly=0,
            pattern=None,
            followsymlinks=1,
            )

### Function returning a list of all files and directories.

#### Arguments

path
  root of the tree to check
filesonly
  flag indicating that only files are wanted
pattern
  a filename pattern to check against
followsymlinks
  flag indicating whether symbolic links should be followed

#### Returns

list of all files and directories in the tree rooted at path. The names are expanded to start with path.

| encode

    encode ( text,  orig_coding )

### Function to encode a text.

#### Arguments

text
  text to encode (string)
orig_coding
  type of the original coding (string)

#### Returns

encoded text

| getPythonLibPath

    getPythonLibPath ()

### Function to determine the path to Pythons library.

#### Returns

path to the Python library (string)

| getPythonVersion

    getPythonVersion ()

### Function to get the Python version (major, minor) as an integer value.

#### Returns

An integer representing major and minor version number (integer)

| get_coding

    get_coding ( text )

### Function to get the coding of a text.

#### Arguments

text
  text to inspect (string)

#### Returns

coding string

| isinpath

    isinpath ( file )

### Function to check for an executable file.

#### Arguments

file
  filename of the executable to check (string)

#### Returns

flag to indicate, if the executable file is accessible via the searchpath defined by the PATH environment variable.

| normabsjoinpath

    normabsjoinpath ( a,  *p )

### Function returning a normalized, absolute path of the joined parts passed into it.

#### Arguments

a
  first path to be joined (string)
p
  variable number of path parts to be joind (string)

| normabspath

    normabspath ( path )

### Function returning a normalized, absolute path.

#### Arguments

path
  file path (string)

| normcasepath

    normcasepath ( path )

### Function returning a path, that is normalized with respect to its case and references.

#### Arguments

path
  file path (string)

| normjoinpath

    normjoinpath ( a,  *p )

### Function returning a normalized path of the joined parts passed into it.

#### Arguments

a
  first path to be joined (string)
p
  variable number of path parts to be joind (string)

| parseOptionString

    parseOptionString ( s )

### Function used to convert an option string into a list of options.

#### Arguments

s
  option string (string or QString)

#### Returns

list of options (list of strings)

| samepath

    samepath ( f1,  f2 )

### Function to compare two paths.

#### Arguments

f1
  first path for the compare (string)
f2
  second path for the compare (string)

#### Returns

flag indicating whether the two paths represent the same path on disk.

| win32_Kill

    win32_Kill ( pid )

### Function to provide an os.kill equivalent for Win32.

#### Arguments

pid
  process id

Table of Contents

This document was automatically generated by HappyDoc version 2.1